function exp1_oddwheel(rstate, rdim);

randn('state', rstate);
A=randn(rdim, rdim);

% Demaine's
options_d=[];
options_d.do_separate_oddwheel = 0;
tic;
[Z_d, part_d, obj_d] = mexgclustering(A, options_d);
g_time_d = toc;

% Ours
tic;
[Z, part, obj] = mexgclustering(A);
g_time = toc;

save(['exp1-res-', num2str(rdim), '-', num2str(rstate), '.mat'], ...
	'rstate', 'A', 'Z_d', 'part_d', 'obj_d', 'g_time_d', ...
	'Z', 'part', 'obj', 'g_time');
